Few Questions on the Upcoming openSUSE 11.0

_AIGLX_ENABLED_BY_DEFAULT_
I have a nVidia 7950GT w/ 512mb. With 10.3/10.2 I have not used
XGL/AIGLX. Before with 10.2 and a 6800 w/ 128mb I used XGL cause of the
'black window' issue. 

With 7950GT/10.3 I used these...

nvidia-xconfig --composite
nvidia-xconfig --render-accel
nvidia-xconfig --add-argb-glx-visuals -d 24

... according to the openSUSE documentation and compiz-fusion is great.


So, since I have been using the whole 3D desktop thing (whichever name
it is at the time) I thought, if you had nVidia that it was best
(performance/quality) to use the ability of the nvidia drivers and not
XGL/AIGLX and I would want to disable (if it is enabled) AIGLX in 11.0?
Or am I wrong?


_KDE4_11.0_AND_CONFIG_FILES_
So, my plan is to snag 11.0 ASAP, rename the user folders under /home,
fresh install of 11.0 from 10.3, re-formating everything but /home,
creating the users, login-logout each, copy folders over. As you may
know, KDE3 config files are located under ~/.kde for all users and kde4
apps in 10.3 are under ~/.kde4. 

Will 11.0/KDE4 have all it's configs under the ~/.kde4 or ~/.kde? KDE3
does not use ~/.kde3 but uses ~/.kde. So I'm unsure.


-- 
mhenry676
------------------------------------------------------------------------



0
mhenry676
6/9/2008 1:36:03 PM
opensuse.org.help.applications 21533 articles. 1 followers. Follow

8 Replies
425 Views

Similar Articles

[PageSpeed] 49

From my experiences with 11.0 I think you're correct on both accounts. 

With 11.0 you will need to run Nvidia 173.14 else there's a patch
that's required.

in 11.0 Kde4 apps use ~/.kde4 while kde3 apps are still using ~/.kde.
If you copy/rename ~/.kde to ~/.kde4 it's my understanding that kde4
apps will use/convert existing settings but I think it's cleaner to
start kde4 with a fresh dir. 

Fyi - I did an in place upgrade with 11.0 beta 3 and it went well


-- 
google01103
------------------------------------------------------------------------
google01103's Profile: http://forums.opensuse.org/member.php?userid=260
View this thread: http://forums.opensuse.org/showthread.php?t=385413

0
google01103
6/9/2008 3:26:04 PM
mhenry676;1814992 Wrote: 
> 
> So, since I have been using the whole 3D desktop thing (whichever name
> it is at the time) I thought, if you had nVidia that it was best
> (performance/quality) to use the ability of the nvidia drivers and not
> XGL/AIGLX and I would want to disable (if it is enabled) AIGLX in 11.0?
> Or am I wrong?

I am far from an expert with 3D accelerated desktops since I've been
refusing steadily to drop my trusty and feature-packed KWin (in its KDE
3 incarnation) but from what I understand the nVidia driver is using
AIGLX / is build on top of it. In former realeases (< 11.0) openSUSE
was pushing their own solution called XGL which has been more or less
made obsolete by AIGLX. So I don't think you want to disable AIGLX.


-- 
Erunno
------------------------------------------------------------------------
Erunno's Profile: http://forums.opensuse.org/member.php?userid=310
View this thread: http://forums.opensuse.org/showthread.php?t=385413

0
Erunno
6/9/2008 7:16:04 PM
re: aiglx - this is what opensuse.org says:
"openSUSE 11.0
AIGLX is enabled by default, so nothing needs to be done to enable it.
Just install the necessary drivers in case of fglrx/nvidia."
'AIGLX - openSUSE' (http://en.opensuse.org/AIGLX)

The implication is you don't need to edit xorg.conf to enable
composting and such as done in 10.x all you need to do is load the
Nvidia drivers. I'm still using my old xorg.conf from 10.3 and not
seeing any problems in 11.0rc1 (but at somepoint I should remove the
lines I added just in case).


-- 
openSuse 11.0rc1, kde3 3.59, Opera 9.5 weekly
------------------------------------------------------------------------
google01103's Profile: http://forums.opensuse.org/member.php?userid=260
View this thread: http://forums.opensuse.org/showthread.php?t=385413

0
google01103
6/9/2008 8:16:04 PM
Generally speaking, compiz and kwin4 will use nvidia directly if it is
available, so as long as your xorg.conf is configured to enable nvidia
composite, you should have no problems.

KDE4 will use ~/.kde4, and KDE3 will use ~/.kde, for legacy reasons.
Though there is a first start wizard that was added to KDE4 that should
pull your settings and defaults from KDE3, if it finds them.

Hope this helps...

Cheers,
KV


-- 
else_where
------------------------------------------------------------------------
else_where's Profile: http://forums.opensuse.org/member.php?userid=82
View this thread: http://forums.opensuse.org/showthread.php?t=385413

0
else
6/9/2008 9:36:03 PM
google01103;1815264 Wrote: 
> re: aiglx - this is what opensuse.org says:
> "openSUSE 11.0
> AIGLX is enabled by default, so nothing needs to be done to enable it.
> Just install the necessary drivers in case of fglrx/nvidia."
> 'AIGLX - openSUSE' (http://en.opensuse.org/AIGLX)
> 
> The implication is you don't need to edit xorg.conf to enable
> composting and such as done in 10.x all you need to do is load the
> Nvidia drivers. I'm still using my old xorg.conf from 10.3 and not
> seeing any problems in 11.0rc1 (but at somepoint I should remove the
> lines I added just in case).

I understand the implication. Everyone is trying to get Linux as a
whole, more friendly and less intimidating, especially for Windows
converts. 

But I'm not an "average user". I didn't buy a Dell/HP/etc. I bought an
ASUS A8N32 SLI Deluxe. I stuck a X2 4200+ and overclocked it to 2.64GHz
from 2.2. I put 4GB of DDR RAM and instead of the default 400MHz, it
runs at 480MHz. 

If using the nvidia drivers is better in performance/quality/etc. I
would rather use that. I would rather remove the *Option   "aiglx"   
"true" * from xorg.conf and use the lines from the initial post, if I
do get better results.

I think what I will do, is after I get 11.0, check it out, check memory
usage, cpu usage, etc. I think there is a FramePerSecond display in the
CCSM.

Please don't take this reply as a brag or trying to be
demeaning/critical, I'm just showing my point of view. Thanks


-- 
mhenry676
------------------------------------------------------------------------
mhenry676's Profile: http://forums.opensuse.org/member.php?userid=269
View this thread: http://forums.opensuse.org/showthread.php?t=385413

0
mhenry676
6/9/2008 9:46:04 PM
Erunno;1815220 Wrote: 
> I am far from an expert with 3D accelerated desktops since I've been
> refusing steadily to drop my trusty and feature-packed KWin (in its KDE
> 3 incarnation) but from what I understand the nVidia driver is using
> AIGLX / is build on top of it. In former realeases (< 11.0) openSUSE
> was pushing their own solution called XGL which has been more or less
> made obsolete by AIGLX. So I don't think you want to disable AIGLX.

AIGLX is now usually enabled by default in all drivers that support 3D
(this is true for nVidia's open-source and closed-source drivers, ATI's
closed-source and open-source drivers, and even Intel's open-source
drivers) and you no longer need XGL support for desktop acceleration
(Compiz and Compiz-fusion both support AIGLX).  However, the bigger
problem is that some Linux games still require XGL (if I'm not
mistaken, Q3A falls into this category), so you can't have desktop
acceleration and gaming acceleration at the same time, if the games
require XGL.

radeonHD: Supports 2D acceleration for all ATI and AMD graphics
chipsets including R6xx (R3xx and R2xx are supported by the existing
open-source radeon driver) *except* AMD 780G.  However, there is no 3D
(example: Compiz) support.

ati: Supports 3D acceleration for R4xx (and most R5xx) ATI and AMD
graphics chipsets, in addition to 2D acceleration for these same
chipsets.  However, some R5xx (example: RV535) chipsets are
better-supported using ATI's closed-source driver.

Catalyst 8.5 (closed-source): Supports 2D/3D acceleration for all
ATI/AMD graphics chipsets in R3xx and later series.  Unlike the
open-source drivers (at present), the AMD 780G and the entirety of
R5xx/RV5xx and above have full 2D/3D support.  Quirks -
custom-compiling method (modified from openSuSE 10.2) is required to
use these drivers in 11.0 betas, RC1, and (when released) GM. 
Compositing bug remains unfixed since Catalyst 8.4 (however, disabling
it breaks Compiz-fusion).


-- 
PGHammer
------------------------------------------------------------------------
PGHammer's Profile: http://forums.opensuse.org/member.php?userid=192
View this thread: http://forums.opensuse.org/showthread.php?t=385413

0
PGHammer
6/10/2008 12:46:04 AM
google01103;1815264 Wrote: 
> re: aiglx - this is what opensuse.org says:
> "openSUSE 11.0
> AIGLX is enabled by default, so nothing needs to be done to enable it.
> Just install the necessary drivers in case of fglrx/nvidia."
> 'AIGLX - openSUSE' (http://en.opensuse.org/AIGLX)
> 
> The implication is you don't need to edit xorg.conf to enable
> composting and such as done in 10.x all you need to do is load the
> Nvidia drivers. I'm still using my old xorg.conf from 10.3 and not
> seeing any problems in 11.0rc1 (but at somepoint I should remove the
> lines I added just in case).

You may want to keep the switch in case-by-case.

You *can* have AIGLX support with compositing turned off (ATI's
closed-source drivers actually do this by default using:

Option "XComposite" = "disabled"

OR

Option "XComposite" = "false"

in the "Device" section of /etc/X11/xorg.conf).

However, since compiz-fusion requires compositing support, any effects
that rely on it won't work.

Also, there's an even nastier bugaboo: AIGLX renders XGL moot for not
just desktop acceleration, but gaming as well (and the gaming side of
things hasn't really been addressed yet).


-- 
PGHammer
------------------------------------------------------------------------
PGHammer's Profile: http://forums.opensuse.org/member.php?userid=192
View this thread: http://forums.opensuse.org/showthread.php?t=385413

0
PGHammer
6/10/2008 12:56:03 AM
Moved thread to Pre-Release/Beta


-- 
harryc56
------------------------------------------------------------------------
harryc56's Profile: http://forums.opensuse.org/member.php?userid=79
View this thread: http://forums.opensuse.org/showthread.php?t=385413

0
harryc56
6/10/2008 1:26:03 AM
Reply:

Similar Artilces:

Upgrade of 11.0.0 to 11.0.1 AND 11.0 EBF's
X86 Update of 11.0.0 to 11.0.1 was released 03 Mar 2009 Update of 11.0.0 to build 1598 was released 23 Apr 2009 Should 11.0.0 to build 1598 be applied to 11.0.1 ? ChuckGo No. EBFs should only be applied against the MR that it is intended. The 1598 EBF is intended for 11.0.0. And EBF for 11.0.1 is pending. - chris Charles.Gogolin@stanleyassociates.com wrote: > X86 > > Update of 11.0.0 to 11.0.1 was released 03 Mar 2009 > > Update of 11.0.0 to build 1598 was released 23 Apr 2009 > > Should 11.0.0 to build 1598 be applied to 11.0.1 ? ...

help upgrading from 11.0 to 11.2
hello, everyone.. it's been some time since i've posted in the forums, since my system has been near flawless since my linux conversion.. i'm running opensuse 11.0 on a dell laptop.. i want to upgrade to 11.2, however, i am very cautious about losing my files. there are files on this system which i absolutely can not afford to lose, and they are only on this system. i need help figuring out which method of upgrade will be the best, best as in safest. i've been looking through the forums, and my question has not been answered yet...thus, i must ask the question ...

NIS question: 11.0 ->11.2
Hi I just upgraded from 11.0 to 11.2. I had a colleague setup NIS when I was running 11.0 and he is unavailable for a while. I looked at yast before I upgraded and it seemed that the only thing that he did was check: "Use NIS" and "Automatic Setup (Via NetworkManager and DHCP)" I don't see the later option in the 11.2 NIS yast panel. Did it get moved? Thanks -- iKevin ------------------------------------------------------------------------ You first have to install 'yast2-nis-server'. Then restart Yast, and it will sho...

HotSwap! version 5.0.0.0 (11/11/2009)
HotSwap! is a utility to add or remove SATA drives without rebooting. Handy if you use an external SATA drive. Updated to version 5.0.0.0 (11/11/2009) http://mt-naka.com/hotswap/index_enu.htm Version 5.0.0.0 (11/11/2009) * New feature to support Windows 7. * New feature to support Chinese. (Thanks to Justin Tsai for Chinese translation) * New feature to support Italian. (Thanks to Luca Longone for Italian translation) * New feature to support Spanish. (Thanks to Esteban Fern�ndez for Spanish translation) * New feature to support ERRORLEVEL in the...

Maintenance Release, Upgrade of 11.0.0 to 11.0.1
After installing upgrade 11.0.0 to 11.0.1 am unable to use DBSVC: /sqlanywhere11/bin32/dbsvc_scripts/dbsvc_iface: line 16: /lib/lsb/init-functions: No such file or directory This utility requires /etc/init.d/functions or /etc/rc.status If I undo the install then the dbsvc works fine. Installed redhat-lsb and seems to work. ...

Install 11.1RC1 messed up 11.0 install -- help
I loaded opensuse 11.1 RC1 live CD last night to see how it worked. I got stuck configuring the network card. It seemed that the network switch was off and wouldn't turn on so that even though the firmware was installed I couldn't get past that issue. So I decided to go ahead and install a second copy of opensuse on the machine, so that I would be about to reconfigure and reboot. I have a copy of opensuse 11.0. I configured 2 new partitions 3.75GB for the root, 256MB for /var. I configured it to use the existing 1GB swap, the existing 1GB /temp, and the existing 1GB ...

Question about migrating a PFC application from 6.0 to 7.0
Hi: We have a PFC appliction developed using Power Builder 6.0. The application includes 3 layers - 6.0 pfc pbls, pfe pbls and pbls we created. We did not make any change to 6.0 pfc or pfe pbls. Now we are migrating application from 6.0 to 7.0. My question is that what pbls we should include in the application. Should we simply inculde the 7.0 pfc, pfe and our pbls or should we customize migrated pfe pbls and use 7.0 pfc pbls, customized pfe pbls and pbls we created? We checked Sybase web page , but we did not found any information on how to migrate a PFC appliction from 6.0 to 7.0...

Question on migrating from 11.0.2.2 to 11.5
Hi- I am trying to migrate from 11.0.2.2 running on AIX 4.1.3 to 11.5 running on AIX 4.3. I have had real problems performing Sybase upgrades before so I have the luxury this time of having a seperate AIX 4.3 to test this migration on. As I understand from the docs I should be able to load a dump from my 11.0.2.2 server and load it directly into 11.5. This seems to have worked accept for the method that it allocated devices. I did not exactly match each allocation one for whe creating the database but the total data and log sizes matched exactly. Hoping to consolidate the ...

Question about migrating a pfc application from 6.0 to 7.0
Hi: We have a PFC appliction developed using Power Builder 6.0. The application includes 3 layers - 6.0 pfc pbls, pfe pbls and pbls we created. We did not make any change to 6.0 pfc or pfe pbls. Now we are migrating application from 6.0 to 7.0. My question is that what pbls we should include in the application. Should we simply inculde the 7.0 pfc, pfe and our pbls or should we customize migrated pfe pbls and use 7.0 pfc pbls, customized pfe pbls and pbls we created? We checked Sybase web page , but we did not found any information on how to migrate a PFC appliction from 6.0 to 7.0...

EASY QUESTION! Upgrading 9.0.0 to 9.0.2 question
Here's a quick and easy one for you: I am upgrading SQL Anywhere (on redhat 9) from version 9.0.0.1120 to 9.0.2 using the maintenence release, plus the express bug fix to bring me to build 3169. My question: although the server resides on linux, our clients access it via Win98. What do I need to download and install to update the client / isql / sql central on Win98? Please post to newsgroup. Thanks! Jason Boardman Jason, Provided you have already installed the ASA 9.0.0 Network database client components (ISQL and Sybase Central) on the Windows 98 machine, it is n...

Help... Upgrade from 3.0.11 to 3.0.12 problems
I upgraded from 3.0.11 to 3.0.12 this morning and everything worked great. That is, until I tried to apply a custom skin, now when I try and load my site it just hangs. It'll sit there trying to load forever. Any ideas what the problem could be? How can I get back in to remove the skin? Any help would be great... Thanks....

upgrade 11.0.2.2 to 11.5.1 questions....
Our company plans on migrating from our 11.0.2.2 database on NT 3.51 to a new server running NT 4.0 and 11.5.1. What will be necessary for the migration? Can I simply load 11.5.1 on the new server, load the logins, create the databases 'for load,' and restore the database dumps from 11.0.2? Thanks, Patrick Bennett Patrick, Yes, essentially, you can do that. You might want to just install 11.0.2.2 over on NT 4.0 and get it running as it is today. You can install a basic server (just master/sybsystemprocs), then move the device files over to it and boot it. Then, ru...

11.0.3 to 11.0.2
--------------8BCD235133A5E6297E3B44C0 Content-Type: text/plain; charset=us-ascii Content-Transfer-Encoding: 7bit The question: Can I take a dump of a database that is on an 11.0.2 server and load it into a 11.0.3 server, without having to do any maintenance on the database once it's in the 11.0.3 server? The reason: We have a production server that is version 11.0.2. Nightly, we dump the production server and load it into a development server, also 11.0.2. Now, we are in the midst of upgrading our development servers from 11.0.2 to 11.0.3. Any help would be great. T...

11.0.2 to 11.0.3
Is the upgrade process from 11.0.2 to 11.0.3 seamless? Are there any issues to be concerned about? Thanks in advance. Doug Doug, You should utilize 11.0.3.3 if you can. That's more recent than plain 11.0.3. You can do an upgrade in place for this. John McVicker Sybase Professional Services Philadelphia, PA Automotive Division wrote: > > Is the upgrade process from 11.0.2 to 11.0.3 seamless? Are there any issues > to be concerned about? > > Thanks in advance. > Doug We are in the same boat. I assume you have to upgrade to 11.0.3 first ...

Question About Updating 11.0 to 11.1 beta 4 or future distro
Hey I know this is a weird question but I just want to know if I update 11.0 to beta 4 and future distros will it do a clean install or will it update my current install??? or is there any other way to change 11.0 -- AMD Athlon 64 X2 3800+ 2.0GHz, Nvidia Geforce 8800 GT 512MB (177.80) 1GB DDR RAM , SeaGate 750GB HDD, Dual Boot - OpenSuSE 11.0 (32-Bit) and Windows XP (32-bit) No Internet Access (Yet) ------------------------------------------------------------------------ LearningKameleon;1894393 Wrote: > Hey > > I know this is a weird question but I jus...

Web resources about - Few Questions on the Upcoming openSUSE 11.0 - opensuse.org.help.applications

German question - Wikipedia, the free encyclopedia
"Kleindeutschland" redirects here. For the neighborhood in New York City, see Little Germany, Manhattan . 1820 map of Central Europe showing ...

Neil D'Costa and Chris Rogers question whether more could be done to honour memory of Phillip Hughes
Phillip Hughes' long-time coach and mentor has questioned whether cricket administrators are doing &quot;everything humanly possible&quot; to ...

Australia vs New Zealand third cricket Test: Michael Hussey questions Grant Baldwin call
Former Test star Michael Hussey has accused the Australian cricket team of being &quot;unprofessional&quot; for allowing their massage therapist ...

Question Of The Day: First-ever car ride?
Filed under: Automotive History The first time you were ever in a motor vehicle, what was it? Continue reading Question Of The Day: First-ever ...

Race is a "broad and protean" matter, presenting "rich, difficult questions," and "Any insistence otherwise ...
John McWhorter writes, in a WSJ piece, "Closed Minds on Campus" : The idea that only the naive or the immoral would question issues connected ...

Real question: did Brad Pitt wear a ’90s wiglet at ‘The Big Short’ premiere?
Brad Pitt could potentially have a film at the Oscars this year. NO, not By the Sea . His real Oscar-bait film this year is The Big Short , which ...

Want a job at Apple? Here are 10 of the toughest interview questions
We alternately praise and criticize the folks at Apple depending on whether they just created the iPhone or Apple Maps, but there’s no doubting ...

Rep. Mike Pompeo: 'My wife gave me an F' for my Benghazi questions to Clinton
Republican Congressman Mike Pompeo has been thinking long and hard about his rather odd "performance" during his House Select Committee's interrogation ...

NFL Network interviews Cowboys owner Jerry Jones, asks for questions via Twitter things go horribly wrong ...
Dallas Cowboys owner Jerry Jones appeared on the NFL Network on Wednesday morning, one day before his team hosts the undefeated Carolina Panthers. ...

What's The Right Way To Ask Audiences Questions?
The key to asking questions of an audience is authenticity.

Resources last updated: 11/28/2015 9:47:51 PM